#pragma once

#include "CoreMinimal.h"
#include "Subsystems/EngineSubsystem.h"
#include "SkyPortalSubsystem.generated.h"

UCLASS()
class SKYPORTAL_API USkyPortalSubsystem : public UEngineSubsystem
{
	GENERATED_BODY()

public:
	// Override initialization and deinitialization methods
	virtual void Initialize(FSubsystemCollectionBase& Collection) override;
	virtual void Deinitialize() override;
};
